Bug 621866 - Patch for java windows disappearing from window list
Patch for java windows disappearing from window list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz-fusion (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 06:39 EDT by Sandro Mani
Modified: 2012-08-16 14:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch #1 (735 bytes, patch)
2010-11-22 14:46 EST, Sandro Mani
no flags Details | Diff
Patch #2 (939 bytes, patch)
2010-11-22 14:47 EST, Sandro Mani
no flags Details | Diff

  None (edit)
Description Sandro Mani 2010-08-06 06:39:56 EDT
Description of problem:
Opening modal dialogs in some java programs (Matlab, Maple, Intellij Idea, etc) causes the entries in the window list belonging to the program to disappear.

Version-Release number of selected component (if applicable):
compiz-0.8.6-1.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open one of the above java applications (possibly also other)
2. Open a modal dialog (for instance a open / save dialog)
3. Notice window list entries disappearing

Additional info:
Upstream bug report: http://bugs.opencompositing.org/show_bug.cgi?id=1316
Patch commit: http://cgit.compiz.org/compiz/plugins/workarounds/commit/?h=compiz-0.8&id=79f11ed2cd71d2155a5e04aa8803c56633b212bb
Comment 1 Sandro Mani 2010-11-22 14:46:08 EST
Created attachment 462122 [details]
Patch #1
Comment 2 Sandro Mani 2010-11-22 14:47:15 EST
Created attachment 462123 [details]
Patch #2

Patch0: workarounds.c.patch
Patch1: workarounds.xml.in.patch

and

%patch0 -p2
%patch1 -p2

tested and working.
Comment 3 Fedora Admin XMLRPC Client 2011-06-01 16:53:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2012-08-16 14:50:40 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.